import { BaseEditorView } from "./BaseEditorView";
import { Type } from "igniteui-webcomponents-core";
import { DomRenderer } from "igniteui-webcomponents-core";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { ICellActionManager } from "./ICellActionManager";
import { FontInfo } from "igniteui-webcomponents-core";
import { InputChangeEventArgs } from "igniteui-webcomponents-inputs";
/**
 * @hidden
 */
export declare class ComboEditorView extends BaseEditorView {
    static $t: Type;
    private s;
    private r;
    private u;
    private v;
    private x;
    private p;
    private t;
    w: any;
    z: string;
    q: string[];
    constructor(a: DomRenderer, b: BaseControlTheme, c: ICellActionManager);
    setFont(a: FontInfo): void;
    attachEvents(): void;
    detachEvents(): void;
    onTargetChanged(): void;
    onEditStarted(): void;
    onEditEnded(): void;
    protected l(): void;
    ac(): void;
    protected n(a: string, b: any, c: any): void;
    protected o(): void;
    private af;
    private onComboValueChanged;
    private onComboTextChanged;
    private aj;
    protected onInputChanging(a: any, b: InputChangeEventArgs): void;
    private onComboLostFocus;
    private onComboGotFocus;
}
